# Uses of Interface
nu.validator.htmlparser.common.TransitionHandler

Packages that use TransitionHandler
Package
Description
nu.validator.htmlparser.dom
This package provides an HTML5 parser that exposes the document using the DOM API.
nu.validator.htmlparser.impl
This package contains the bulk of parser internals.
nu.validator.htmlparser.io
nu.validator.htmlparser.sax
This package provides an HTML5 parser that exposes the document through the SAX API.
nu.validator.htmlparser.xom
This package provides an HTML5 parser that exposes the document through the XOM API.

## Uses of TransitionHandler in nu.validator.htmlparser.dom

Methods in nu.validator.htmlparser.dom with parameters of type TransitionHandler
Modifier and Type
Method
Description
`void`
HtmlDocumentBuilder.`setTransitionHander(TransitionHandler handler)`

## Uses of TransitionHandler in nu.validator.htmlparser.impl

Methods in nu.validator.htmlparser.impl with parameters of type TransitionHandler
Modifier and Type
Method
Description
`void`
ErrorReportingTokenizer.`setTransitionHandler(TransitionHandler transitionHandler)`
Sets the transitionHandler.

## Uses of TransitionHandler in nu.validator.htmlparser.io

Methods in nu.validator.htmlparser.io with parameters of type TransitionHandler
Modifier and Type
Method
Description
`void`
Driver.`setTransitionHandler(TransitionHandler transitionHandler)`

## Uses of TransitionHandler in nu.validator.htmlparser.sax

Methods in nu.validator.htmlparser.sax with parameters of type TransitionHandler
Modifier and Type
Method
Description
`void`
HtmlParser.`setTransitionHandler(TransitionHandler handler)`

## Uses of TransitionHandler in nu.validator.htmlparser.xom

Methods in nu.validator.htmlparser.xom with parameters of type TransitionHandler
Modifier and Type
Method
Description
`void`
HtmlBuilder.`setTransitionHander(TransitionHandler handler)`